package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabNoticeMessageTemplate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface NoticeMessageTemplateMapper {
    /**
     */
    int deleteByPrimaryKey(Integer noticeMessageTemplateId);

    /**
     */
    int insert(TabNoticeMessageTemplate record);

    /**
     */
    int insertSelective(TabNoticeMessageTemplate record);

    /**
     */
    TabNoticeMessageTemplate selectByPrimaryKey(Integer noticeMessageTemplateId);

    /**
     */
    int updateByPrimaryKeySelective(TabNoticeMessageTemplate record);

    /**
     */
    int updateByPrimaryKey(TabNoticeMessageTemplate record);

    /**
     * 模板
     */
    TabNoticeMessageTemplate getByCode(@Param("enterpriseId") String enterpriseId, @Param("templateCode") String templateCode);
}